Spree Commerce

Try It Now

Spree 0.5.1 Released

Posted on December 02, 2008 by Sean Schofield

Spree 0.5.1 is a patch release for the previous 0.5.0 version. The primary improvement in this release is that Spree now supports any Rails 2.1.x version (not just Rails 2.1.2). This should help make it easier to deploy Spree on shared hosts or other environments where the programmer may be required to use a specific Rails version. We’ve also fixed the spree command in the gem so that it will now work on systems that have Rails 2.2.2 installed.

Spree does not yet support Rails 2.2.2. This just makes it possible for Spree to coexist on a system with the Rails 2.2.2 gems installed for use in other applications. The other fixes in this release are some minor deprecation issues. If you are not currently experiencing any issues with the 0.5.0 release there is no need to upgrade. The new release just makes it a little bit easier to get a new Spree instance up and running.